% my second matlab program
% Matlab ist Matrizen-orientiert

a = [1 2 3]  % Vektor
a = [1,2,3]  % derselbe Vektor
a = [1 : 3]  % Vektor, angegeben durch Grenzen

pause  % Atempuschen ...
b = [1 2 3 ; 4 5 6] % Matrix
b = [1:3 ; 4:6]

pause
c = [1:3:19] % Schrittweite 3
bla = [1:2:7;4:4:16]
    
pause
d = ones(7,7) % Matrix mit Eintrag 1
h = zeros(42,42) % bzw. 0
e = rand(7,7) % Matrix mit gleichverteilten Zufallszahlen
f = diag(c)   % Diagonalmatrix mit Diagonale c

pause
[rows columns] = size(a)  % Dimensionen einer Matrix

pause
a(1)     % Elemente
a(1,2)   % Indizierung: Zeile, Spalte
b(2,3)

pause
b(5)     % Konvertierung Matrix -> Vektor durch Konkatenierung der Spalten
b = b'   % Transponieren
b(5) 

pause
d + f   % Matlab kann mit Matrizen rechnen, das ist schnell!
d/f
d*10
d./f    % elementweise Operation durch . angegeben
b==1

pause
b(1,:)       % Zeilen
b(:,1)       % Spalten
d(1:3 , 2:4) % Teile einer Matrix
[d d]        % Konkatenieren von Matrizen
b(:,2)=[]    % zweite Spalte lschen

pause
sum(e)   % summiert die Elemente Spaltenweise
[sortiert index] = sort([10:1]')
[sortiert index] = sort(e)  % sortiert alle Elemente einer Spalte
[sortiertrows indexrows] = sortrows(e,2) % sortiert die Zeilen basierend auf Spalte 2


