m      = 2;                        % Bereich zum Plotten
x      = -m:m/20:m;                 % Raster der x- und y-Werte erzeugen
y      = x;
[X, Y] = meshgrid (x, y);
R      = sqrt (X.^2 + Y.^2);         % Spaltfunktion des Radius
Z      = sinc (R);

h  = figure (1);
h1 = meshc(X, Y, Z);                      % Plotten
view(-40,30)


set(gca,'XTick',[-2:0.5:2])
set(gca,'YTick',[-2:0.5:2])
set(gca,'ZTick',[-2:0.25:2])
set(gca,'Fontname','Tahoma')

set(h1,'EdgeColor',[0.0,0.5,1.0])






